import { ThemeInput, BuiltinThemes, LanguageInput, BuiltinLanguages, CodeToHtmlOptions } from './types.mjs';
export { Awaitable, ElementsOptions, HtmlRendererOptions, LanguageRegistration, LineOption, MaybeGetter, ThemeRegisteration, ThemeRegisterationRaw } from './types.mjs';
export { l as loadWasm } from './types/index.mjs';
export { getWasmInlined } from './wasm.mjs';

interface HighlighterOptions {
    themes?: (ThemeInput | BuiltinThemes)[];
    langs?: (LanguageInput | BuiltinLanguages)[];
}
declare function getHighlighter(options?: HighlighterOptions): Promise<{
    codeToThemedTokens: (code: string, lang?: string, theme?: string, options?: {
        includeExplanation: boolean;
    }) => {
        content: string;
    }[][];
    codeToHtml: (code: string, options?: CodeToHtmlOptions) => string;
}>;

export { BuiltinLanguages, BuiltinThemes, CodeToHtmlOptions, HighlighterOptions, LanguageInput, ThemeInput, getHighlighter };
